%define debug_package %{nil}
%define daemon_name ovs-devmon

Name:      devmon
Version:   1.0
Release: 169.el6
Summary:   System device Monitor for Oracle OVS
License:   GPLv2
Group:     System Environment/Daemons
URL:       http://www.oracle.com/virtualization
Source:    %{name}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:  ovs-agent >= 3.0
BuildRequires:  device-mapper-devel python-devel

Patch1: sd-events.patch
Patch2: rpm-target.patch
Patch3: missing-add-sd.patch
Patch4: rem-dm.patch
Patch5: organize-logfile.patch
Patch6: empty-add-sd.patch
Patch7: change-license-to-gplv2.patch
Patch8: add-license-header.patch
Patch9: bond-link-change.patch
Patch10: infiniband-link-state.patch
Patch11: devmon-infinband.patch
Patch12: notification.patch
Patch13: fix-agent-notification-module-path.patch
Patch14: remove-reload.patch
Patch15: enic-link-state.patch
Patch16: ipoib-partitions.patch
Patch17: ol6-upgrade.patch
Patch18: rev569.patch
Patch19: bond-if-status.patch
Patch20: rev771.patch
Patch21: rev782.patch
Patch22: monitor-cloudnet-ifs.patch
Patch23: rev1561.patch
# End Oracle Patches

%description
devmon daemon for Oracle OVS. Monitors all of the devices and provides health
information via agent notifier.


%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0
%patch18 -p0
%patch19 -p0
%patch20 -p0
%patch21 -p0
%patch22 -p0
%patch23 -p0


%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/etc/init.d
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
make DESTDIR=${RPM_BUILD_ROOT}
install --mode=755 init.d/ovs-devmon ${RPM_BUILD_ROOT}/etc/init.d/ovs-devmon
install --mode=755 devmon ${RPM_BUILD_ROOT}/usr/bin/devmon


%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
if [ $1 = 1 ]; then
   /sbin/chkconfig --add %{daemon_name}
   if [ $? == 0 ]; then
        /sbin/chkconfig --level 35 %{daemon_name} on
   fi
fi

%preun
if [ $1 = 0 ]; then
   /sbin/service %{daemon_name} stop > /dev/null 2>&1
   /sbin/chkconfig --del %{daemon_name}
fi

%postun
/sbin/ldconfig
if [ $1 -ge 1 ]; then
   /sbin/service %{daemon_name} condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc COPYING
/etc/init.d/ovs-devmon
/usr/bin/devmon


%changelog
* Thu Feb 11 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-169.el6
- Rebuild due to xen update 

* Mon Feb 01 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-168.el6
- Rebuild due to kernel update 

* Mon Jan 25 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-167.el6
- Rebuild due to xen update 

* Sun Jan 24 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-166.el6
- Rebuild due to xen update 

* Sun Jan 24 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-165.el6
- Rebuild due to xen update 

* Sat Jan 23 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-164.el6
- Rebuild due to xen update 

* Fri Jan 22 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-163.el6
- Rebuild due to xen update 

* Mon Jan 11 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-162.el6
- Rebuild due to kernel update 

* Thu Jan 07 2016 Jingdong Lu <jingdong.lu@oracle.com> 1.0-161.el6
- Rebuild due to xen update 

* Thu Dec 24 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-160.el6
- Rebuild due to xen update 

* Sat Dec 19 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-159.el6
- Rebuild due to kernel update 

* Fri Dec 18 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-158.el6
- Rebuild due to kernel and xen update 

* Fri Dec 18 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-157.el6
- Rebuild due to xen update 

* Mon Dec 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-156.el6
- Rebuild due to kernel update 

* Sat Dec 12 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-155.el6
- Rebuild due to kernel update 

* Thu Dec 10 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-154.el6
- Rebuild due to kernel and xen update 

* Thu Dec 10 2015 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-153 
- update copyright year
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> [bug 22339323]  

* Tue Dec 08 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-152.el6
- Rebuild due to kernel update 

* Fri Dec 04 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-151.el6
- Rebuild due to xen update 

* Tue Dec 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-150.el6
- Rebuild due to kernel update 

* Tue Nov 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-149.el6
- Rebuild due to kernel update 

* Tue Nov 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-148.el6
- Rebuild due to xen update 

* Wed Nov 04 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-147.el6
- Rebuild due to xen update 

* Mon Nov 02 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-146.el6
- Rebuild due to kernel update 

* Mon Oct 26 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-145.el6
- Rebuild due to kernel and xen update 

* Mon Oct 19 2015 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-144 
- Monitor CloudNet interfaces; add and interface change events 

* Mon Oct 19 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-143.el6
- Rebuild due to kernel update 

* Thu Oct 15 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-142.el6
- Rebuild due to xen update 

* Fri Oct 02 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-141.el6
- Rebuild due to kernel update 

* Thu Oct 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-140.el6
- Rebuild due to kernel update 

* Tue Sep 22 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-139.el6
- Rebuild due to xen update 

* Mon Sep 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-138.el6
- Rebuild due to kernel update 

* Fri Sep 11 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-137.el6
- Rebuild due to xen update 

* Thu Sep 10 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-136.el6
- Rebuild due to xen update 

* Thu Sep 03 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-135.el6
- Rebuild due to xen update 

* Tue Sep 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-134.el6
- Rebuild due to xen update 

* Fri Aug 28 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-133.el6
- Rebuild due to xen update 

* Tue Jul 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-132.el6
- Rebuild due to xen update 

* Wed Jun 24 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-131.el6
- Rebuild due to kernel update 

* Wed Jun 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-130.el6
- Rebuild due to kernel update 

* Wed Jun 10 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-129.el6
- Rebuild due to kernel update 

* Mon Jun 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-128.el6
- Rebuild due to kernel update 

* Fri May 29 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-127.el6
- Rebuild due to xen update 

* Fri May 15 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-126.el6
- Rebuild due to xen update 

* Thu May 14 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-125.el6
- Rebuild due to xen update 

* Tue May 12 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-124.el6
- Rebuild due to xen update 

* Fri May 08 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-123.el6
- Rebuild due to xen update 

* Fri May 01 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-122.el6
- Rebuild due to xen update 

* Sun Apr 26 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-121.el6
- Rebuild due to kernel update 

* Fri Apr 17 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-120.el6
- Rebuild due to xen update 

* Thu Apr 09 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-119.el6
- Rebuild due to xen update 

* Thu Apr 09 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-118.el6
- Rebuild due to xen update 

* Wed Apr 08 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-117.el6
- Rebuild due to xen update 

* Wed Apr 08 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-116.el6
- Rebuild due to xen update 

* Tue Apr 07 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-115.el6
- Rebuild due to xen update 

* Tue Apr 07 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-114.el6
- Rebuild due to xen update 

* Mon Apr 06 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-113.el6
- Rebuild due to kernel update 

* Tue Mar 24 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-112.el6
- Rebuild due to xen update 

* Mon Mar 23 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-111.el6
- Rebuild due to kernel update 

* Mon Mar 23 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-110.el6
- Rebuild due to xen update 

* Fri Mar 20 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-109.el6
- Rebuild due to xen update 

* Mon Mar 16 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-108.el6
- Rebuild due to kernel update 

* Fri Mar 13 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-107.el6
- Rebuild due to xen update 

* Mon Mar 02 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-106.el6
- Rebuild due to xen update 

* Fri Feb 27 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-105.el6
- Rebuild due to xen update 

* Fri Jan 30 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-104.el6
- Rebuild due to xen update 

* Fri Jan 30 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-103.el6
- Rebuild due to kernel update 

* Wed Jan 21 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-102.el6
- Rebuild due to xen update 

* Mon Jan 05 2015 Jingdong Lu <jingdong.lu@oracle.com> 1.0-101.el6
- Rebuild due to xen update 

* Tue Dec 23 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-100.el6
- Rebuild due to kernel update 

* Fri Dec 19 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-99.el6
- Rebuild due to xen update 

* Thu Dec 11 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-98.el6
- Rebuild due to xen update 

* Thu Dec 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-97.el6
- Rebuild due to xen update 

* Thu Dec 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-96.el6
- Rebuild due to xen update 

* Thu Dec 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-95.el6
- Rebuild due to xen update 

* Wed Dec 03 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-94.el6
- Rebuild due to kernel update 

* Tue Nov 18 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-93.el6
- Rebuild due to kernel update 

* Fri Oct 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-92.el6
- Rebuild due to xen update 

* Wed Oct 08 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-91.el6
- Rebuild due to xen update 

* Wed Sep 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-90.el6
- Rebuild due to xen update 

* Wed Sep 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-89.el6
- Rebuild due to xen update 

* Fri Sep 05 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-88.el6
- Rebuild due to xen update 

* Thu Sep 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-87.el6
- Rebuild due to xen update 

* Thu Sep 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-86.el6
- Rebuild due to xen update 

* Wed Sep 03 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-85.el6
- Rebuild due to xen update 

* Tue Sep 02 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-84.el6
- Rebuild due to xen update 

* Thu Aug 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-83.el6
- Rebuild due to xen update 

* Wed Aug 27 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-82.el6
- Rebuild due to xen update 

* Tue Aug 26 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-81.el6
- Rebuild due to xen update 

* Wed Aug 20 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-80.el6
- Rebuild due to xen update 

* Wed Aug 20 2014 Ke-Chiang Chen <ke-chiang.chen@oracle.com> - 1.0-79 
- Fix devmon failed to acquire multipath path devices
  patch_nmae: devmon_acquire_pathdevs.patch
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Carson Hovey <carson.hovey@oracle.com> [bug 19474225]  

* Thu Aug 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-78.el6
- Rebuild due to xen update 

* Thu Aug 07 2014 Carson Hovey <carson.hovey@oracle.com> - 1.0-77 
- Bug 19170020 - LSB init script header conventions clean-up.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Oracle-bug: 19170020 

* Fri Jul 18 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-76.el6
- Rebuild due to xen update 

* Fri Jul 18 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-75.el6
- Rebuild due to xen update 

* Thu Jul 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-74.el6
- Rebuild due to xen update 

* Tue Jul 15 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-73.el6
- Rebuild due to xen update 

* Wed May 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-72.el6
- Rebuild due to xen update 

* Mon May 12 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-71.el6
- Rebuild due to kernel update 

* Fri May 02 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-70.el6
- Rebuild due to xen update 

* Fri Apr 11 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-69.el6
- Rebuild due to xen update 

* Thu Apr 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-68.el6
- Rebuild due to xen update 

* Fri Apr 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-67.el6
- Rebuild due to xen update 

* Fri Apr 04 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-66.el6
- Rebuild due to xen update 

* Thu Apr 03 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-65.el6
- Rebuild due to xen update 

* Fri Mar 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-64.el6
- Rebuild due to xen update 

* Mon Mar 10 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-63.el6
- Rebuild due to xen update 

* Fri Feb 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-62.el6
- Rebuild due to xen update 

* Thu Feb 27 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-61.el6
- Rebuild due to kernel update 

* Mon Feb 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-60.el6
- Rebuild due to xen update 

* Fri Feb 14 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-59.el6
- Rebuild due to xen update 

* Wed Jan 29 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-58.el6
- Rebuild due to xen update 

* Tue Jan 28 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-57.el6
- Rebuild due to kernel update 

* Wed Jan 22 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-56.el6
- Rebuild due to xen update 

* Fri Jan 17 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-55.el6
- Rebuild due to xen update 

* Mon Jan 13 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-54.el6
- Rebuild due to xen update 

* Thu Jan 09 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-53.el6
- Rebuild due to kernel update 

* Wed Jan 08 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-52.el6
- Rebuild due to xen update 

* Thu Jan 02 2014 Jingdong Lu <jingdong.lu@oracle.com> 1.0-51.el6
- Rebuild due to xen update 

* Mon Dec 23 2013 Tianyue Lan <tianyue.lan@oracle.com> 1.0-50.el6
- Rebuild with el6 dist

* Tue Dec 17 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-49
- Rebuild due to kernel update 

* Tue Dec 17 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-48 
- Since bond interfaces do not have hardware sensing of their own , use IFF_UP and IFF_RUNNING
  to determine its status. [bug 17952899]  

* Mon Dec 16 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-47
- Rebuild due to kernel and xen update 

* Wed Dec 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-46
- Rebuild due to xen update 

* Wed Dec 11 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-45 
- Fix copyright year.
  Patch generated by:
  $ find . -path ./.svn -prune -o -type f -exec sed -i "s/Copyright (C) .* Oracle./Copyright (C) 2011-2014 Oracle./g" '{}' ;
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Dec 10 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-44
- Rebuild due to xen update 

* Wed Dec 04 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-43
- Rebuild due to kernel and xen update 

* Mon Nov 25 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-42
- Rebuild due to xen update 

* Thu Nov 07 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-41
- Rebuild due to kernel update 

* Tue Nov 05 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-40
- Rebuild due to xen update 

* Fri Oct 25 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-39
- Rebuild due to xen update 

* Wed Oct 23 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-38
- Rebuild due to kernel update 

* Mon Oct 21 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-37
- Rebuild due to xen update 

* Fri Oct 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-36
- Rebuild due to xen update 

* Fri Oct 11 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-35
- Rebuild due to xen update 

* Wed Oct 02 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-34
- Rebuild due to kernel update 

* Tue Sep 24 2013 Jingdong Lu <jingdong.lu@oracle.com> 1.0-33
- Rebuild due to xen update 

* Fri Sep 20 2013 Shu Li <shu.li@oracle.com> 1.0-32
- Rebuild due to kernel update 

* Thu Sep 12 2013 Shu Li <shu.li@oracle.com> 1.0-31
- Rebuild due to kernel update 

* Tue Sep 03 2013 Jingjie Jiang <jingjie.jiang@oracle.com> - 1.0-30 
- Code changes for OL6u4 upgrade, change Python from 2.4 to 2.6. 

* Mon Apr 08 2013 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-29 
- Fixed devmon so that it can handle the state of IPoIB partitions [bug 16263484]  

* Mon Aug 13 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-28 
- re-write the link state detection code to handle virtual nics link state correctly  (enics). [bug 14402887] 

* Wed Aug 01 2012 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-27 
- Remove devmon reload option, it is not needed. [bug 14399588] 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-26 
- fix agent notification module path.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Thu Dec 15 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-25 
- fix notification for agent refactor 

* Wed Nov 16 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-24 
- Change the way devmon checks for infiniband devices 

* Thu Nov 03 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-23 
- Fixed devmon to recognize, monitor, and report infiniband devices link state. 

* Wed Aug 31 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-22 
- Changed devmon to use the interface flags (IFF_UP,IFF_DOWN) to determine
  bond link change instead of ethtool/or MII, as bond interfaces are logical
  and their link state can not be detected. [bug 12904169] 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-21 
- add license header. [bug 12737215] 

* Tue Jul 12 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 1.0-20 
- change license to gplv2
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 12737215] 

* Wed Jul 06 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-19 
- Prevent devmon from reporting extra empty ADD_SD messages [bug 12696983] 

* Fri Jun 24 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-18 
- Better organize data in log file 

* Thu Jun 23 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-17 
- Remove code that handle a case of REM_DM processing which is not applicable to OVS.
  It causes extra empty REM_DM messages be sent while they where already handled [bug 12426402] 

* Wed Jun 08 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-16 
- I used iscsiadm -m node -p 10.196.210.25 --login/logout over 50 times to present/un-present
  10 ISCSI LUNs. The result was good every time. If you still see a missing ADD_SD,
  then I will needed your test environment for a few hours. [bug 12573959] 

* Wed May 25 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-15 
- Add RPM target, changes devmon service name to ovs-devmon 

* Tue May 24 2011 Kevin Lyons <kevin.x.lyons@oracle.com> - 1.0-14 
- Rename devmon init script to ovs-devmon and rebase package in tarball.

* Tue May 24 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-13 
- give multipathd a chance to catch up first fefore sending ADD SD otherwise we 
may miss the event. [bug 12573959]

* Fri May 13 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-12 
- Devmon does not fork python processes to storage_discover any more. This should
  reduce the amount of memory consumed during LUN present/un-present.
  The test should be repeated to see how much was gained.
  OraclBug:12418855 

* Fri May 13 2011 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-11 
- A connection time is a result of a bad connection to the target, which caused devmon
  to exit at start up time. I changed the logic so that devmon will not exit and tries
  again during its main loop. [bug 11878958] 

* Mon Dec 13 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-10 
- Do not keep track, report vifs state change to the manager. It is not needed. [bug 10211503] 

* Tue Nov 30 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0-9 
- Added port name to [ADD_FC_TRG] event. 

* Tue Nov 23 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-8 
- Remove guest memory cushion. It is not need for OVM 

* Wed Nov 10 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-7 
- Stop the reaper thread from running, it is removing the DMs after all the SDs under it are gone.
  This is not needed for this product. 

* Wed Oct 06 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-6 
- Fix xenstored hang which made xend appears to be hanging. The problem was caused by
  devmon excessive access to xenstored that left many xenstored handle open.
  orabug:10155532 

* Tue Sep 21 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-5 
- Apply patch to make/spec files to satisfy the patch. 

* Mon Sep 20 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-4 
- Redirect PyErr_Print output to a string to catch agent_notify exception
  start devmon automatically at boot time. 

* Wed Sep 01 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-3
- Made some changes to accommodates changes in the notifier.

* Thu Aug 19 2010 Cathy Avery <cathy.avery@oracle.com> - 1.0-2
- devmon was routing udev events to udev2multipathd daemon so it would not see
the storage or iscsi events.

* Thu Jul 8 2010 Adnan Misherfi <adnan.misherfi@oracle.com> - 1.0-1
- initial devmon spec file
